Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkArrowSource Class Reference

`#include <vtkArrowSource.h>`

Inheritance diagram for vtkArrowSource:

[legend]
Collaboration diagram for vtkArrowSource:

[legend]
List of all members.

## Detailed Description

Appends a cylinder to a cone to form an arrow.

Date:
  2002/05/07 21:12:04

Revision:
  1.7

vtkArrowSource was intended to be used as the source for a glyph. The shaft base is always at (0,0,0). The arrow tip is always at (1,0,0). The resolution of the cone and shaft can be set and default to 6. The radius of the cone and shaft can be set and default to 0.03 and 0.1. The length of the tip can also be set, and defaults to 0.35.

Created by:
  - Law, Charles

CVS contributions (if > 5%):
  - Law, Charles (88%)
  - Cedilnik, Andy (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Graphics/vtkArrowSource.cxx)`
  - .`h` (`/Graphics/vtkArrowSource.h)`

Tests:
  vtkArrowSource (Tests)

Definition at line 48 of file vtkArrowSource.h.

## Public Types
typedef vtkPolyDataSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetTipLength (float)
virtual float | GetTipLength ()
virtual void | SetTipRadius (float)
virtual float | GetTipRadius ()
virtual void | SetTipResolution (int)
virtual int | GetTipResolution ()
virtual void | SetShaftRadius (float)
virtual float | GetShaftRadius ()
virtual void | SetShaftResolution (int)
virtual int | GetShaftResolution ()
## Static Public Methods
vtkArrowSource * | New ()
int | IsTypeOf (const char *type)
vtkArrowSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkArrowSource ()
| ~vtkArrowSource ()
void | Execute ()
## Protected Attributes
int | TipResolution
float | TipLength
float | TipRadius
int | ShaftResolution
float | ShaftRadius

## Member Typedef Documentation

typedef vtkPolyDataSource vtkArrowSource::Superclass

| Reimplemented from vtkPolyDataSource. Definition at line 54 of file vtkArrowSource.h.

## Constructor & Destructor Documentation

vtkArrowSource::vtkArrowSource | ( |  | ) | `[protected]`

vtkArrowSource::~vtkArrowSource | ( |  | ) | `[inline, protected]`

| Definition at line 87 of file vtkArrowSource.h.

## Member Function Documentation

vtkArrowSource* vtkArrowSource::New | ( |  | ) | `[static]`

| Construct cone with angle of 45 degrees. Reimplemented from vtkObject.

virtual const char* vtkArrowSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkPolyDataSource.

int vtkArrowSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

virtual int vtkArrowSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkPolyDataSource.

vtkArrowSource* vtkArrowSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkPolyDataSource.

void vtkArrowSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkPolyDataSource.

virtual void vtkArrowSource::SetTipLength | ( | float |  | ) | `[virtual]`

| Set the length, and radius of the tip. They default to 0.35 and 0.1

virtual float vtkArrowSource::GetTipLength | ( |  | ) | `[virtual]`

| Set the length, and radius of the tip. They default to 0.35 and 0.1

virtual void vtkArrowSource::SetTipRadius | ( | float |  | ) | `[virtual]`

| Set the length, and radius of the tip. They default to 0.35 and 0.1

virtual float vtkArrowSource::GetTipRadius | ( |  | ) | `[virtual]`

| Set the length, and radius of the tip. They default to 0.35 and 0.1

virtual void vtkArrowSource::SetTipResolution | ( | int |  | ) | `[virtual]`

| Set the resolution of the tip. The tip behaves the same as a cone. Resoultion 1 gives a single triangle, 2 gives two crossed triangles.

virtual int vtkArrowSource::GetTipResolution | ( |  | ) | `[virtual]`

| Set the resolution of the tip. The tip behaves the same as a cone. Resoultion 1 gives a single triangle, 2 gives two crossed triangles.

virtual void vtkArrowSource::SetShaftRadius | ( | float |  | ) | `[virtual]`

| Set the radius of the shaft. Defaults to 0.03.

virtual float vtkArrowSource::GetShaftRadius | ( |  | ) | `[virtual]`

| Set the radius of the shaft. Defaults to 0.03.

virtual void vtkArrowSource::SetShaftResolution | ( | int |  | ) | `[virtual]`

| Set the resolution of the shaft. 2 gives a rectangle. I would like to extend the cone to produce a line, but this is not an option now.

virtual int vtkArrowSource::GetShaftResolution | ( |  | ) | `[virtual]`

| Set the resolution of the shaft. 2 gives a rectangle. I would like to extend the cone to produce a line, but this is not an option now.

void vtkArrowSource::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

int vtkArrowSource::TipResolution`[protected]`

| Definition at line 91 of file vtkArrowSource.h.

float vtkArrowSource::TipLength`[protected]`

| Definition at line 92 of file vtkArrowSource.h.

float vtkArrowSource::TipRadius`[protected]`

| Definition at line 93 of file vtkArrowSource.h.

int vtkArrowSource::ShaftResolution`[protected]`

| Definition at line 95 of file vtkArrowSource.h.

float vtkArrowSource::ShaftRadius`[protected]`

| Definition at line 96 of file vtkArrowSource.h.

The documentation for this class was generated from the following file:

- Graphics/vtkArrowSource.h